Subject: the mode line flicks on set-window-vscroll

From: Tak Kunihiro <[email-masked]>
Date: Sat, 2 Mar 2019 19:25:13 +0900

On Emacs-26.1.92 build for macOS, I see the mode line flicks when I
scroll-up using pixel-scroll-mode and mouse wheel.  The mode line does
not flick on scrolling-down.  I do not see this problem in
Emacs-26.1.92 build for Windows.

macOS$ /Downloads/emacs-26.1.92/nextstep/Emacs.app/Contents/MacOS/Emacs -Q
M-x pixel-scroll-mode
M-: (pixel-scroll-up 1) ; => the mode line flicks
M-: (pixel-scroll-down 1) ;=> no flick

I narrow down the problem and notice that following
two blocks response differently.

#+begin_src emacs-lisp
(dolist (vs (number-sequence 1 10))
  (set-window-vscroll nil vs t)
  (sit-for 0))
;; the mode line flicks
#+end_src

#+begin_src emacs-lisp
(dolist (vs (number-sequence 1 10))
  (set-window-vscroll nil vs t))
;; no flick
#+end_src

Do you have idea?